C ***********************************************************************
	PROGRAM GGRID
C
C  Two dimensional grid of spin dependent structure functions
C ***********************************************************************
	IMPLICIT NONE
	INTEGER iQ,nQ,ix,nx
	REAL*8  x,i,xmin,xmax,xint,Q2,sum1,sum2,sum3
	PARAMETER (nQ=19,nx=100)
	REAL*8	Qgrid(nQ), xgrid(nx)
	REAL*8	xG1Pgrid(nx,nQ),xG1Ngrid(nx,nQ),
     &		xG2Pgrid(nx,nQ),xG2Ngrid(nx,nQ)
	REAL*8	xg1p,Dxg1p,xg2p,Dxg2p, xg1n,Dxg1n,xg2n,Dxg2n

	DO iQ=1,nQ
	  IF (iQ.LE.10) Qgrid(iQ) = DFLOAT(iQ)/10.D0
	  IF (iQ.GT.10) Qgrid(iQ) = DFLOAT(iQ)-9.D0
	  Q2 = Qgrid(iQ)

	  DO ix=1,nx

	    xgrid(ix) = DFLOAT(ix)/DFLOAT(nx)
	    x = xgrid(ix)

C...Proton distrubution functions.......................................
	    CALL G1G2P (x,Q2,xg1p,Dxg1p,xg2p,Dxg2p)
	    CALL G1G2N (x,Q2,xg1n,Dxg1n,xg2n,Dxg2n)
	print *, 'Q2,x,xg1p=',q2,sngl(x),sngl(xg1p)

	    xG1Pgrid(ix,iQ) = xg1p
	    xG1Ngrid(ix,iQ) = xg1n
	    xG2Pgrid(ix,iQ) = xg2p
	    xG2Ngrid(ix,iQ) = xg2n

	  ENDDO
	ENDDO


c	if(.true.)stop
C...Write data to file
	OPEN (11, FILE='Ggrid.g1p', STATUS='UNKNOWN', FORM='FORMATTED')
	OPEN (12, FILE='Ggrid.g1n', STATUS='UNKNOWN', FORM='FORMATTED')
	OPEN (13, FILE='Ggrid.g2p', STATUS='UNKNOWN', FORM='FORMATTED')
	OPEN (14, FILE='Ggrid.g2n', STATUS='UNKNOWN', FORM='FORMATTED')
	WRITE (11,*) Qgrid, xgrid, xG1Pgrid
	WRITE (12,*) Qgrid, xgrid, xG1Ngrid
	WRITE (13,*) Qgrid, xgrid, xG2Pgrid
	WRITE (14,*) Qgrid, xgrid, xG2Ngrid
	CLOSE (11)
	CLOSE (12)
	CLOSE (13)
	CLOSE (14)
	WRITE (*,*) '... data written to file ...'
	END
